diff --git a/contrib/ltree/ltxtquery_io.c b/contrib/ltree/ltxtquery_io.c
--- a/contrib/ltree/ltxtquery_io.c
+++ b/contrib/ltree/ltxtquery_io.c
@@ -96,7 +96,7 @@ gettoken_query(QPRS_STATE *state, int32 
 					if (*flag)
 						ereport(ERROR,
 								(errcode(ERRCODE_SYNTAX_ERROR),
-								 errmsg("modificators syntax error")));
+								 errmsg("modifiers syntax error")));
 					*lenval += charlen;
 				}
 				else if (charlen == 1 && t_iseq(state->buf, '%'))
diff --git a/doc/src/sgml/biblio.sgml b/doc/src/sgml/biblio.sgml
--- a/doc/src/sgml/biblio.sgml
+++ b/doc/src/sgml/biblio.sgml
@@ -295,7 +295,7 @@ ssimkovi@ag.or.at
     <pubdate>April, 1990</pubdate>
     <publisher>
      <publishername>University  of  California</publishername>
-     <address>Berkely, California</address>
+     <address>Berkeley, California</address>
     </publisher>
    </biblioset>
    </biblioentry>
diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -1225,7 +1225,7 @@ postgres   27093  0.0  0.0  30096  2752 
         </row>
         <row>
          <entry><literal>MessageQueuePutMessage</></entry>
-         <entry>Waiting to write a protoocol message to a shared message queue.</entry>
+         <entry>Waiting to write a protocol message to a shared message queue.</entry>
         </row>
         <row>
          <entry><literal>MessageQueueReceive</></entry>
diff --git a/doc/src/sgml/protocol.sgml b/doc/src/sgml/protocol.sgml
--- a/doc/src/sgml/protocol.sgml
+++ b/doc/src/sgml/protocol.sgml
@@ -5882,7 +5882,7 @@ TupleData
 </term>
 <listitem>
 <para>
-                Idenfifies the data as NULL value.
+                Identifies the data as NULL value.
 </para>
 </listitem>
 </varlistentry>
@@ -5895,7 +5895,7 @@ TupleData
 </term>
 <listitem>
 <para>
-                Idenfifies unchanged TOASTed value (the actual value is not
+                Identifies unchanged TOASTed value (the actual value is not
                 sent).
 </para>
 </listitem>
@@ -5909,7 +5909,7 @@ TupleData
 </term>
 <listitem>
 <para>
-                Idenfifies the data as text formatted value.
+                Identifies the data as text formatted value.
 </para>
 </listitem>
 </varlistentry>
diff --git a/doc/src/sgml/ref/create_subscription.sgml b/doc/src/sgml/ref/create_subscription.sgml
--- a/doc/src/sgml/ref/create_subscription.sgml
+++ b/doc/src/sgml/ref/create_subscription.sgml
@@ -131,7 +131,7 @@ CREATE SUBSCRIPTION <replaceable class="
 
   <para>
    Create a subscription to a remote server that replicates tables in
-   the publications <literal>mypubclication</literal> and
+   the publications <literal>mypublication</literal> and
    <literal>insert_only</literal> and starts replicating immediately on
    commit:
 <programlisting>
diff --git a/doc/src/sgml/ref/create_trigger.sgml b/doc/src/sgml/ref/create_trigger.sgml
--- a/doc/src/sgml/ref/create_trigger.sgml
+++ b/doc/src/sgml/ref/create_trigger.sgml
@@ -295,7 +295,7 @@ UPDATE OF <replaceable>column_name1</rep
     <term><literal>REFERENCING</literal></term>
     <listitem>
      <para>
-      This immediately preceeds the declaration of one or two relations which
+      This immediately precedes the declaration of one or two relations which
       can be used to read the before and/or after images of all rows directly
       affected by the triggering statement.  An <literal>AFTER EACH ROW</>
       trigger is allowed to use both these transition relation names and the
diff --git a/doc/src/sgml/release-8.4.sgml b/doc/src/sgml/release-8.4.sgml
--- a/doc/src/sgml/release-8.4.sgml
+++ b/doc/src/sgml/release-8.4.sgml
@@ -381,7 +381,7 @@
 
      <para>
       This prevents scenarios wherein a pathological regular expression
-      could lock up a server process uninterruptably for a long time.
+      could lock up a server process uninterruptibly for a long time.
      </para>
     </listitem>
 
diff --git a/doc/src/sgml/release-9.0.sgml b/doc/src/sgml/release-9.0.sgml
--- a/doc/src/sgml/release-9.0.sgml
+++ b/doc/src/sgml/release-9.0.sgml
@@ -2250,7 +2250,7 @@
 
      <para>
       This prevents scenarios wherein a pathological regular expression
-      could lock up a server process uninterruptably for a long time.
+      could lock up a server process uninterruptibly for a long time.
      </para>
     </listitem>
 
diff --git a/doc/src/sgml/release-9.1.sgml b/doc/src/sgml/release-9.1.sgml
--- a/doc/src/sgml/release-9.1.sgml
+++ b/doc/src/sgml/release-9.1.sgml
@@ -3941,7 +3941,7 @@ Branch: REL9_0_STABLE [9d6af7367] 2015-0
 
      <para>
       This prevents scenarios wherein a pathological regular expression
-      could lock up a server process uninterruptably for a long time.
+      could lock up a server process uninterruptibly for a long time.
      </para>
     </listitem>
 
diff --git a/doc/src/sgml/release-9.2.sgml b/doc/src/sgml/release-9.2.sgml
--- a/doc/src/sgml/release-9.2.sgml
+++ b/doc/src/sgml/release-9.2.sgml
@@ -4774,7 +4774,7 @@ Branch: REL9_2_STABLE [6b700301c] 2015-0
 
      <para>
       This prevents scenarios wherein a pathological regular expression
-      could lock up a server process uninterruptably for a long time.
+      could lock up a server process uninterruptibly for a long time.
      </para>
     </listitem>
 
diff --git a/doc/src/sgml/release-9.3.sgml b/doc/src/sgml/release-9.3.sgml
--- a/doc/src/sgml/release-9.3.sgml
+++ b/doc/src/sgml/release-9.3.sgml
@@ -6968,7 +6968,7 @@ Branch: REL8_4_STABLE [b6e143458] 2014-0
 
      <para>
       This prevents scenarios wherein a pathological regular expression
-      could lock up a server process uninterruptably for a long time.
+      could lock up a server process uninterruptibly for a long time.
      </para>
     </listitem>
 
diff --git a/doc/src/sgml/release-9.4.sgml b/doc/src/sgml/release-9.4.sgml
--- a/doc/src/sgml/release-9.4.sgml
+++ b/doc/src/sgml/release-9.4.sgml
@@ -8899,7 +8899,7 @@ Branch: REL9_4_STABLE [c2b06ab17] 2015-0
       <listitem>
        <para>
         Add <xref linkend="APP-CREATEUSER"> option <option>-g</>
-        to specify role membership (Chistopher Browne)
+        to specify role membership (Christopher Browne)
        </para>
       </listitem>
 
diff --git a/doc/src/sgml/release-9.6.sgml b/doc/src/sgml/release-9.6.sgml
--- a/doc/src/sgml/release-9.6.sgml
+++ b/doc/src/sgml/release-9.6.sgml
@@ -2783,7 +2783,7 @@ 2015-12-30 [e84290823] Avoid useless tru
       <listitem>
 <!--
 2016-04-08 [848ef42bb] Add the "snapshot too old" feature
-2016-05-06 [2cc41acd8] Fix hash index vs "snapshot too old" problemms
+2016-05-06 [2cc41acd8] Fix hash index vs "snapshot too old" problems
 2016-05-06 [7e3da1c47] Mitigate "snapshot too old" performance regression on NU
 2016-08-03 [3e2f3c2e4] Prevent "snapshot too old" from trying to return pruned
 2016-08-07 [9ee1cf04a] Fix TOAST access failure in RETURNING queries.
@@ -3116,7 +3116,7 @@ 2016-02-17 [a5c43b886] Add new system vi
 
        <para>
         This view exposes the same information available from
-        the <application>pg_config</> comand-line utility,
+        the <application>pg_config</> command-line utility,
         namely assorted compile-time configuration information for
         <productname>PostgreSQL</>.
        </para>
@@ -3976,7 +3976,7 @@ 2016-04-08 [7a542700d] Create default ro
 2016-04-07 [bb140506d] Phrase full text search.
 2016-06-27 [028350f61] Make exact distance match for FTS phrase operator
 2016-06-27 [3dbbd0f02] Do not fallback to AND for FTS phrase operator.
-2016-06-27 [6734a1cac] Change predecence of phrase operator.
+2016-06-27 [6734a1cac] Change precedence of phrase operator.
 -->
        <para>
         Improve <link linkend="textsearch">full-text search</> to support
@@ -4612,7 +4612,7 @@ 2016-02-16 [fc1ae7d2e] Change ecpg lexer
 
       <listitem>
 <!--
-2015-09-14 [d02426029] Check existency of table/schema for -t/-n option (pg_dum
+2015-09-14 [d02426029] Check existence of table/schema for -t/-n option (pg_dum
 -->
        <para>
         Add a <option>--strict-names</> option
@@ -5609,7 +5609,7 @@ 2016-03-16 [f576b17cd] Add word_similari
 
       <listitem>
 <!--
-2016-03-16 [5871b8848] GUC variable pg_trgm.similarity_threshold insead of set_
+2016-03-16 [5871b8848] GUC variable pg_trgm.similarity_threshold instead of set_
 2016-06-20 [9c852566a] Fix comparison of similarity to threshold in GIST trigra
 -->
        <para>
diff --git a/doc/src/sgml/release-old.sgml b/doc/src/sgml/release-old.sgml
--- a/doc/src/sgml/release-old.sgml
+++ b/doc/src/sgml/release-old.sgml
@@ -5737,8 +5737,8 @@ fix rtree for use in inner scan (Vadim)
 fix gist for use in inner scan, cleanups (Vadim, Andrea)
 avoid unnecessary local buffers allocation (Vadim, Massimo)
 fix local buffers leak in transaction aborts (Vadim)
-fix file manager memmory leaks, cleanups (Vadim, Massimo)
-fix storage manager memmory leaks (Vadim)
+fix file manager memory leaks, cleanups (Vadim, Massimo)
+fix storage manager memory leaks (Vadim)
 fix btree duplicates handling (Vadim)
 fix deleted rows reincarnation caused by vacuum (Vadim)
 fix SELECT varchar()/char() INTO TABLE made zero-length fields(Bruce)
@@ -5904,7 +5904,7 @@ European date format now set when postma
 Execute lowercase function names if not found with exact case
 Fixes for aggregate/GROUP processing, allow 'select sum(func(x),sum(x+y) from z'
 Gist now included in the distribution(Marc)
-Idend authentication of local users(Bryan)
+Ident authentication of local users(Bryan)
 Implement BETWEEN qualifier(Bruce)
 Implement IN qualifier(Bruce)
 libpq has PQgetisnull()(Bruce)
diff --git a/src/backend/optimizer/geqo/geqo_erx.c b/src/backend/optimizer/geqo/geqo_erx.c
--- a/src/backend/optimizer/geqo/geqo_erx.c
+++ b/src/backend/optimizer/geqo/geqo_erx.c
@@ -458,7 +458,7 @@ edge_failure(PlannerInfo *root, Gene *ge
 			if (edge_table[i].unused_edges >= 0)
 				return (Gene) i;
 
-		elog(LOG, "no edge found via looking for the last ununsed point");
+		elog(LOG, "no edge found via looking for the last unused point");
 	}
 
 
diff --git a/src/backend/port/dynloader/linux.c b/src/backend/port/dynloader/linux.c
--- a/src/backend/port/dynloader/linux.c
+++ b/src/backend/port/dynloader/linux.c
@@ -124,7 +124,7 @@ char *
 pg_dlerror(void)
 {
 #ifndef HAVE_DLD_H
-	return "dynaloader unspported";
+	return "dynaloader unsupported";
 #else
 	return dld_strerror(dld_errno);
 #endif
diff --git a/src/backend/replication/logical/worker.c b/src/backend/replication/logical/worker.c
--- a/src/backend/replication/logical/worker.c
+++ b/src/backend/replication/logical/worker.c
@@ -571,7 +571,7 @@ check_relation_updatable(LogicalRepRelMa
 	ereport(ERROR,
 			(errcode(ERRCODE_OBJECT_NOT_IN_PREREQUISITE_STATE),
 			 errmsg("logical replication target relation \"%s.%s\" has "
-					"neither REPLICA IDENTIY index nor PRIMARY "
+					"neither REPLICA IDENTITY index nor PRIMARY "
 					"KEY and published relation does not have "
 					"REPLICA IDENTITY FULL",
 					rel->remoterel.nspname, rel->remoterel.relname)));
diff --git a/src/bin/pg_basebackup/t/030_pg_recvlogical.pl b/src/bin/pg_basebackup/t/030_pg_recvlogical.pl
--- a/src/bin/pg_basebackup/t/030_pg_recvlogical.pl
+++ b/src/bin/pg_basebackup/t/030_pg_recvlogical.pl
@@ -29,7 +29,7 @@ log_error_verbosity = verbose
 $node->command_fails(['pg_recvlogical', '-S', 'test', '-d', 'postgres'],
 	'pg_recvlogical needs an action');
 $node->command_fails(['pg_recvlogical', '-S', 'test', '-d', $node->connstr('postgres'), '--start'],
-	'no destionation file');
+	'no destination file');
 
 $node->command_ok(['pg_recvlogical', '-S', 'test', '-d', $node->connstr('postgres'), '--create-slot'],
 	'slot created');
diff --git a/src/interfaces/libpq/bcc32.mak b/src/interfaces/libpq/bcc32.mak
--- a/src/interfaces/libpq/bcc32.mak
+++ b/src/interfaces/libpq/bcc32.mak
@@ -8,7 +8,7 @@
 
 !IF "$(BCB)" == ""
 !MESSAGE You must edit bcc32.mak and define BCB at the top
-!ERROR misssing BCB
+!ERROR missing BCB
 !ENDIF
 
 !IF "$(__NMAKE__)" == ""
diff --git a/src/test/regress/sql/tsdicts.sql b/src/test/regress/sql/tsdicts.sql
--- a/src/test/regress/sql/tsdicts.sql
+++ b/src/test/regress/sql/tsdicts.sql
@@ -170,7 +170,7 @@ ALTER TEXT SEARCH CONFIGURATION synonym_
 	asciiword, hword_asciipart, asciihword
 	WITH synonym, english_stem;
 
-SELECT to_tsvector('synonym_tst', 'Postgresql is often called as postgres or pgsql and pronounced as postgre');
+SELECT to_tsvector('synonym_tst', 'PostgreSQL is often called as postgres or pgsql and pronounced as postgres');
 SELECT to_tsvector('synonym_tst', 'Most common mistake is to write Gogle instead of Google');
 SELECT to_tsvector('synonym_tst', 'Indexes or indices - Which is right plural form of index?');
 SELECT to_tsquery('synonym_tst', 'Index & indices');
@@ -186,5 +186,5 @@ ALTER TEXT SEARCH CONFIGURATION thesauru
 	WITH synonym, thesaurus, english_stem;
 
 SELECT to_tsvector('thesaurus_tst', 'one postgres one two one two three one');
-SELECT to_tsvector('thesaurus_tst', 'Supernovae star is very new star and usually called supernovae (abbrevation SN)');
+SELECT to_tsvector('thesaurus_tst', 'Supernovae star is very new star and usually called supernovae (abbreviation SN)');
 SELECT to_tsvector('thesaurus_tst', 'Booking tickets is looking like a booking a tickets');
